Subject: [dns-dir] DNS-EW: draft-hoffman-server-has-tls-00.txt

From: DNS_EARLY_WARNING <[email-masked]>
Date: Wed, 1 Dec 2010 14:40:00 -0500

Count:       13 

Network Working Group                                         P. Hoffman
Internet-Draft                                            VPN Consortium
Intended status: Standards Track                       November 30, 2010
Expires: June 3, 2011

                 Specifying That a Server Supports TLS
                    draft-hoffman-server-has-tls-00

 Abstract

   A server that hosts applications that can be run with or without TLS
   may want to communicate with clients whether the server is hosting an
   application only using TLS or also hosting the application without
   TLS.  Doing so tells clients that try using TLS but fail to set up a
   TLS session whether or not they should even try to set up an insecure
   session with the server.  This document describes the use cases for
   this type of communication and a secure method for communicating that
   information.